<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja pliku main.cpp</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('df/d0a/main_8cpp.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Funkcje</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja pliku main.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &quot;<a class="el" href="../../d9/d2a/menu_8hh_source.html">menu.hh</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="../../d5/dd8/scene_8hh_source.html">scene.hh</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla main.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/dce/main_8cpp__incl.png" border="0" usemap="#main_8cpp" alt=""/></div>
<map name="main_8cpp" id="main_8cpp">
<area shape="rect" title=" " alt="" coords="418,5,500,32"/>
<area shape="rect" title=" " alt="" coords="467,528,547,555"/>
<area shape="rect" href="../../d9/d2a/menu_8hh.html" title=" " alt="" coords="420,80,498,107"/>
<area shape="rect" href="../../d5/dd8/scene_8hh.html" title=" " alt="" coords="280,80,360,107"/>
<area shape="rect" title=" " alt="" coords="460,155,533,181"/>
<area shape="rect" title=" " alt="" coords="142,379,200,405"/>
<area shape="rect" href="../../d8/d35/gnuplot__link_8hh.html" title=" " alt="" coords="50,229,172,256"/>
<area shape="rect" href="../../d9/d7f/bottom_surface_8hh.html" title=" " alt="" coords="362,229,500,256"/>
<area shape="rect" href="../../da/dcb/drone_8hh.html" title=" " alt="" coords="153,155,232,181"/>
<area shape="rect" href="../../d2/d9a/water_surface_8hh.html" title=" " alt="" coords="256,155,384,181"/>
<area shape="rect" title=" " alt="" coords="30,304,72,331"/>
<area shape="rect" title=" " alt="" coords="148,304,210,331"/>
<area shape="rect" href="../../da/dad/shape_8hh.html" title=" " alt="" coords="388,304,469,331"/>
<area shape="rect" href="../../db/d1b/_matrix_8hh.html" title=" " alt="" coords="388,379,472,405"/>
<area shape="rect" href="../../dc/dca/_vector_8hh.html" title=" " alt="" coords="299,453,382,480"/>
<area shape="rect" title=" " alt="" coords="406,453,469,480"/>
<area shape="rect" href="../../d9/dae/cuboid_8hh.html" title=" " alt="" coords="202,229,287,256"/>
</map>
</div>
</div>
<p><a href="../../df/d0a/main_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d0a/main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main</a> ()</td></tr>
<tr class="separator:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="ae66f6b31b5ad750f1fe042a706a4e3d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae66f6b31b5ad750f1fe042a706a4e3d4">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../df/d0a/main_8cpp_source.html#l00008">8</a> pliku <a class="el" href="../../df/d0a/main_8cpp_source.html">main.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d0a/main_8cpp_ae66f6b31b5ad750f1fe042a706a4e3d4_cgraph.png" border="0" usemap="#df/d0a/main_8cpp_ae66f6b31b5ad750f1fe042a706a4e3d4_cgraph" alt=""/></div>
<map name="df/d0a/main_8cpp_ae66f6b31b5ad750f1fe042a706a4e3d4_cgraph" id="df/d0a/main_8cpp_ae66f6b31b5ad750f1fe042a706a4e3d4_cgraph">
<area shape="rect" title=" " alt="" coords="5,56,60,83"/>
<area shape="rect" href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778" title="Realizuje animacje ruchu." alt="" coords="108,31,243,57"/>
<area shape="rect" href="../../d9/d2a/menu_8hh.html#a2a0e843767aeea4f433a28b9c54f573a" title="Displays menu." alt="" coords="146,81,205,108"/>
<area shape="rect" href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413" title="Obraca drona o zadany kąt." alt="" coords="291,31,399,57"/>
<area shape="rect" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595" title="Zapisuje współrzędne prostopadłościanu do pliku Otwiera plik o zadanej nazwie, a następnie zapisuje d..." alt="" coords="463,5,570,32"/>
<area shape="rect" href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0" title="Zapisuje kąt obrotu Jako parametr przyjmuje wartość kąta, a następnie powiększa kąt o jaki jest obróc..." alt="" coords="447,56,587,83"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_f77a644fded742ea05ed17fa0fdf6fe1.html">src</a></li><li class="navelem"><a class="el" href="../../df/d0a/main_8cpp.html">main.cpp</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
